v1.0
put
/ec-codelist-svc/rest/v1.0/codelist
Update a legacy system-level codelist from the supplied payload.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : CodeListRequestV1.0
Type:
objectTitle:
CodeListRequestV1.0Legacy codelist request payload containing the codelist definition and values.
Show Source
-
code: object
Code
-
values: array
values
Codelist values.
Nested Schema : Code
Type:
Show Source
object-
canAddValues: boolean
Whether values can be added.Example:
true -
canHideValues: boolean
Whether values can be hidden.Example:
true -
codeGroupId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the codelist group.Example:
B1B8327AFAA6412287106192AB5984EF -
codeLevel: string
Minimum Length:
1Maximum Length:32Codelist code level.Example:SYSTEM -
codeName: string
Minimum Length:
1Maximum Length:255Codelist code name.Example:AE_SEVERITY -
codeType: string
Minimum Length:
1Maximum Length:255Codelist code type.Example:SYSTEM -
comment: string
Comment.Example:
Updated description -
customizable: boolean
Whether this code is customizable.Example:
false -
description: string
Minimum Length:
1Maximum Length:4000Codelist description.Example:Severity of adverse event. -
displayCodeName: string
Display name for the codelist.Example:
AE Severity -
id: string
Required. Study identifier used to scope the codelist request. Use a UUID represented as a 32-character uppercase hexadecimal string.Example:
B1B8327AFAA6412287106192AB5984EF -
objectVersionNumber: number
Object version number.Example:
1 -
operationType: string
Minimum Length:
1Maximum Length:16Operation type.Example:CREATED -
optlock: string
(date-time)
Optimistic lock timestamp.Example:
2026-03-03T17:50:51.48Z -
parCodeName: string
Minimum Length:
1Maximum Length:255Parent codelist code name.Example:AE -
reason: string
Reason for change.Example:
Updating codelist -
softwareVersionNumber: number
Software version number.Example:
1 -
tag: string
Minimum Length:
1Maximum Length:32767Tag for the codelist.Example:safety -
tenantLevelOnly: boolean
Whether this codelist is tenant-level only.Example:
false -
userId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the user.Example:
B1B8327AFAA6412287106192AB5984EF -
versionEnd: string
(date-time)
Version end timestamp.Example:
3099-12-31T00:00:00Z -
versionStart: string
(date-time)
Version start timestamp.Example:
2026-03-03T12:20:51.409Z
Nested Schema : values
Type:
arrayCodelist values.
Show Source
-
Array of:
object CodeValue
Represents a coded value applied to a source value. Includes coding information, item and target identifiers and the coded result.
Example:
[
{
"codeValue":"MILD",
"codeLabel":"Mild",
"sequence":1,
"locale":"en"
}
]Nested Schema : CodeValue
Type:
objectRepresents a coded value applied to a source value. Includes coding information, item and target identifiers and the coded result.
Show Source
-
code_value(required): string
Minimum Length:
0Maximum Length:4000The actual code value derived from the coding process.Example:R79.0 -
coding_info_id: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) for the coding info used to derive the code.Example:
3A1A5E8B0F894A9CA9F324D04B162F23 -
item_id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.Example:
5B3B7E0ED4F24E30B5A3A44C5A896C90 -
target_id: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) for the coding result target.Example:
F843B5478028498882E3AF11FEBA3F2A
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
Root Schema : CodeListDto
Type:
Show Source
object-
codeName: string
Codelist code name.Example:
AE_SEVERITY -
codeType: string
Codelist code type.Example:
String -
comment: string
Comment.Example:
Updated description -
id: string
Codelist unique identifier.Example:
D1D8327AFAA6412287106192AB5984EF -
objectVersionNumber: number
Object version number.Example:
1 -
operationType: string
Operation type.Example:
CREATED -
optLock: string
(date-time)
Optimistic lock timestamp.Example:
2026-03-05T12:26:01.086Z -
reason: string
Reason for change.Example:
Updating codelist -
softwareVersionNumber: number
Software version number.Example:
1 -
userId: string
User unique identifier.Example:
0000000000000000000000000000000A -
values: array
values
Codelist values.
-
versionEnd: string
(date-time)
Version end timestamp.Example:
3099-12-31T00:00:00Z -
versionStart: string
(date-time)
Version start timestamp.Example:
2026-03-05T06:56:01.013Z
Nested Schema : values
Type:
arrayCodelist values.
Show Source
-
Array of:
object CodeValueDto
Codelist values.
Example:
[
{
"id":"56B7D39029424986ADC86DC4B976DD5E",
"codeValue":"MILD",
"codeLabel":"Mild",
"sequence":1,
"locale":"en-US"
}
]Nested Schema : CodeValueDto
Type:
objectCodelist values.
Show Source
-
codeId: string
Parent codelist unique identifier.Example:
6B0BE74E22864269898DCD7F2E55A130 -
codeLabel: string
Codelist value label.Example:
Mild -
codeValue: string
Codelist value.Example:
MILD -
comment: string
Comment.Example:
Updated label -
id: string
Codelist value unique identifier.Example:
56B7D39029424986ADC86DC4B976DD5E -
locale: string
Locale.Example:
en-US -
objectVersionNumber: number
Object version number.Example:
1 -
operationType: string
Operation type.Example:
CREATED -
optLock: string
(date-time)
Optimistic lock timestamp.Example:
2026-03-05T12:26:01.086Z -
reason: string
Reason for change.Example:
Updating codelist value -
softwareVersionNumber: number
Software version number.Example:
1 -
userId: string
User unique identifier.Example:
0000000000000000000000000000000A -
versionEnd: string
(date-time)
Version end timestamp.Example:
3099-12-31T00:00:00Z -
versionStart: string
(date-time)
Version start timestamp.Example:
2026-03-05T06:56:01.013Z
Example:
[
{
"id":"56B7D39029424986ADC86DC4B976DD5E",
"codeValue":"MILD",
"codeLabel":"Mild",
"sequence":1,
"locale":"en-US"
}
]Examples
400 Response
'Missing required code definition', 'Missing required values definition','Code not found', 'Missing required field (ID)',
Root Schema : CodeListResponseV1.0
Type:
objectTitle:
CodeListResponseV1.0Standard codelist service response envelope.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Response result.
-
status: string
Response status.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResponse result.
Example:
{
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples
500 Response
Internal server error
Root Schema : CodeListResponseV1.0
Type:
objectTitle:
CodeListResponseV1.0Standard codelist service response envelope.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Response result.
-
status: string
Response status.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResponse result.
Example:
{
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples